package org.xyzh.common.dto.user;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description    TbSysUserDeptRole.java文件描述 用户部门角色
 * @filename    TbSysUserDeptRole.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-26
 */
public class TbSysUserDeptRole extends BaseDTO{

    private static final long serialVersionUID = 1L;

    /**
     * @description    用户ID
     * @author    yslg
     * @since 2024-06
     */
    private String userID;

    /**
     * @description    部门ID
     * @author    yslg
     * @since 2024-06
     */
    private String deptID;

    /**
     * @description    角色ID
     * @author    yslg
     * @since 2024-06
     */
    private String roleID;

    /**
     * @description    创建人
     * @author    yslg
     * @since 2024-06
     */
    private String creator;

    /**
     * @description    更新人
     * @author    yslg
     * @since 2024-06
     */
    private String updater;

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getDeptID() {
        return deptID;
    }

    public void setDeptID(String deptID) {
        this.deptID = deptID;
    }

    public String getRoleID() {
        return roleID;
    }

    public void setRoleID(String roleID) {
        this.roleID = roleID;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbSysUserDeptRole{" +
                "id='" + getID() + '\'' +
                ", userID='" + userID + '\'' +
                ", deptID='" + deptID + '\'' +
                ", roleID='" + roleID + '\'' +
                ", creator='" + creator + '\'' +
                ", updater='" + updater + '\'' +
                ", createTime=" + getCreateTime() +
                ", updateTime=" + getUpdateTime() +
                ", deleteTime=" + getDeleteTime() +
                ", deleted=" + getDeleted() +
                '}';
    }
    
}
